Jump to content

aurios78

Members
  • Posts

    16
  • Joined

  • Last visited

About aurios78

  • Birthday 04/24/1979

Contact Methods

Profile Information

  • Activity
    User/Merchant

aurios78's Achievements

Newbie

Newbie (1/14)

0

Reputation

  1. Bonjour, Après des centaines de tentatives de toutes les manières possibles : click and upgrade automatique, via aussi mode expert et utilisation du répertoire local en dézippant la nouvelle version de prestashop dans le dossier autoupgrade/latest, il m'est toujours impossible d'effectuer la mise à jour de ma boutique version 1.4.8.2 vers la 1.5.1. Je suis vraiment très déçu car c'est bête de ne pas profiter d'une telle mise à jour avant de se lancer sur la toile. Je suis sur un serveur OVH Mutualisé perso et j'ai toujours ce message d'erreur : [Ajax / Server Error] textStatus: "error" errorThrown:"" jqXHR: "" La boutique étant en cours de production mais avec 95% des produits et descriptions incorporés dans le back office, je n'ai pas le courage de tout refaire page par page. Avant d'abandonner tout espoir de réaliser cette mise à jour et de rester sur la 1.4.8.2, je lance un dernier appel aux bonnes volontés. Si quelqu'un sait résoudre précisément ce problème, ce serait très sympa de me donner la solution. Sinon est-il possible en créant une boutique avec la nouvelle version 1.5.1 d'importer sa base de données de la version 1.4.8.2. A priori non car il faut justement effectuer la mise à jour car ce ne sont pas les mêmes versions mais quelqu'un connaît-il une astuce avec une solution détaillée pour y parvenir ? Un grand merci à la communauté. Aurios 78
  2. Hello, Pour résumer, après des heures et des heures d'essais, je ne parviens toujours pas à mettre à jour ma boutique en production version 1.4.8.2 vers la nouvelle version majeure 1.5. Lors de la procédure de mise à jour via le module d'autoupgrade (One click upgrade), j'ai toujours le message suivant : [Ajax / Server Error] textStatus: "error" errorThrown:"" jqXHR: "". Je suis hébergé sur un serveur mutualisé d'OVH. Le problème pourrait venir de là mais normalement prestashop est sensé fonctionner chez OVH On m'a conseillé une solution en tentant la mise à jour en local via wamp. 1) Dezipper la version 1.5.0.17 dans le dossier admin/autoupgrade/latest/ 2) Ensuite dans le back office, il faut régler le module autoupgrade en utilisant le mode expert. Il faut ensuite choisir répertoire local et entrer la version du 1.5.0.17 de prestashop Seulement problème, l'onglet (le bouton) mettre à jour prestashop dans le module One clik upgrade ne s'affiche pas. Donc, je reste bloqué. J'ai bien réussi à installer prestashop 1.5 en utilisant l'adresse url adressemonsiteadmin/autoupgrade/latest/ mais cela m'installe la version prestashop 1.5 dans le dossier autoupgrade/latest/, j'ai donc un prestashop d'imbriqué dans ma première version 1.4.8.2. Lorsque j'ai ténté d'envoyer mon site en local sur mon serveur, cela ne fonctionne pas. Quelqu'un peut-il m'expliquer les différentes étapes de manière assez précise pour parvenir à cette mise à jour d'abord en local puis en l'envoyant sur mon serveur. Merci Aurélien
  3. Bonjour, Cela fait une dizaine de jours et et je ne compte pas les heures que je tente de mettre à jour une boutique en ligne utilisant la version 1.4.8.2 vers la nouvelle version 1.5 J'ai déjà écrit plusieurs topics à ce sujet mais sans parvenir à obtenir la solution. J'ai donc lors de la procédure de mise à jour via le module d'autoupgrade le message suivant : [Ajax / Server Error] textStatus: "error" errorThrown:"" jqXHR: "" Puis prestashop lance automatiquement la procédure de restauration de mes fichiers et base de données suite à cette erreur. Ma dernière piste en date après avoir épluché le forum viendrait de mon hébergement mutualisé perso chez OVH qui ne serait pas adapté (j'exprime cela dans mon langage de non spécialiste) à cette mise à jour. Existe-t-il une solution ? Merci Aurélien
  4. Re, Après avoir fait le tour du forum prestashop suite à ce message d'erreur [Ajax / Server Error] textStatus: "error" errorThrown:"" jqXHR: "", j'ai cru comprendre que le problème pouvait venir de mon hébergement mutualisé perso d'OVH. Savez-vous s'il existe un debug pour parvenir tout de même à réaliser la mise à jour vers 1.5 ? Merci à la communauté
  5. Bonjour Bruno, Suite à votre conseil (Vous avez effectué la mise à jour à plusieurs reprises. Il serait plus simple de repartir d'une base saine (votre v1.4.x) et de recommencer afin d'éviter toute surprise.) J'ai réinstallé une version neuve de prestashop 1.4.8.2, tout en chargeant via phpmyadmin une sauvegarde de ma base de données avant de lancer la maj. La mise à jour n'a une nouvelle fois pas fonctionné. Je retrouve le premier message d'erreur que j'avais eu lors de mes premières tentatives de maj : [Ajax / Server Error] textStatus: "error" errorThrown:"" jqXHR: "" Le problème vient-il de ma base de données qui avait été sauvegardée avant de faire la mise à jour via mon phpmyadmin d'OVH ? Je ne comprends pas pourquoi l'autoupgrade ne fonctionne pas. Si quelqu'un peut me trouver la solution, je suis preneur car c'est à s'arracher les cheveux. Merci
  6. Bonjour Bruno, J'ai tenté d'effectuer une nouvelle mise à jour après avoir restauré ma boutique en activant la console firebug comme vous me l'avez préconisé. Contrairement à la première fois, l'autoupgrade a été jusqu'au bout de la mise à jour mais une masse d'erreurs très importante. L'outil me signale que j'ai eu des erreurs lors de la maj de la base de données sql et que je dois restaurer ma boutique (cf les indications ci-dessous). Je peux au moins me rendre compte du nouveau back office mais certains onglet comme l'accès aux modules ne fonctionnent pas. Je ne peux également pas consulter mon site, j'ai le message suivant : "Votre thème n'est pas disponible : "prestashop". Veuillez vérifier le nom du répertoire du thème et ces permissions." J'imagine donc que la mise à jour à une nouvelle fois échoué. Si vous avez une solution je suis preneur car cela dépasse mes modestes compétences. Merci Aurélien
  7. Bonsoir, Je dispose d'une boutique utilisant la version 1.4.8.2 de prestashop et je souhaitais effectuer une mise à jour vers la version finale 1.5. J'ai d'abord essayé en mode manuel via ftp et j'ai eu le message d'erreur suivant sur mon fichier xml ; <action result="fail" error="28"/> au lieu d'avoir ma maj ok. Comme ma boutique n'était plus accessible. Je l'ai réinstallée avec mes sauvegardes de fichiers et BDD. J'ai donc tenté ensuite une mise à jour via le module upgrade de prestashop (en automatique). J'ai eu cette fois-ci le message d'erreur [Ajax / Server Error] textStatus: "error" errorThrown:"" jqXHR: "" et ma boutique est une nouvelle fois inacessible et je dois la réinstaller à nouveau. Est-ce si compliqué de passer à la 1.5 ? Merci de votre aide
  8. Merci pour ton aide, En fait, comme cette tentative de maj a "cassé" ma boutique et que je n'y avais plus accès, j'ai réinstallé la version sauvegardée de mes fichiers et ma BDD. J'ai donc récupéré ma version 1.4.8.2 sans casse. Après, je me suis dit soyons fou, je vais tenter une mise à jour automatique avec le module d'upgrade. Nouveau message d'erreur lors du traitement de la BDD [Ajax / Server Error] textStatus: "error" errorThrown:"" jqXHR: "" Je ne sais pas ce que cela signifie mais une nouvelle fois ma boutique est devenue inacessible avec le message suivant : Requête SQL pour les sous-domaines invalide Bref, si quelqu'un à une solution je suis preneur merci
  9. Bonsoir, J'ai voulu mettre à jour ma boutique prestashop version 1.4.8.2 vers la nouvelle version en 1.5 par la méthode manuelle indiquée dans la doc de prestashop c'est à dire via ftp et j'ai le message d'erreur suivant dans mon fichier xml : <action result="fail" error="28"/> Que signifie-t-il et que faire pour que la mise à jour fonctionne ? Je ne comprends, j'ai respecté toutes les étapes avec minutie et jusqu'au résultat final cela avait l'air de fonctionner Pour l'instant, je ne peux plus visualiser ma boutique en ligne le message suivant apparaît (Requête SQL pour les sous-domaines invalide). Merci de votre aide car je suis bloqué et j'aimerais bcp découvrir cette nouvelle version Aurios
  10. Bonsoir, J'ai voulu mettre à jour ma boutique prestashop version 1.4.8.2 vers la nouvelle version en 1.5 par la méthode manuelle indiquée dans la doc de prestashop c'est à dire via ftp et j'ai le message d'erreur suivant dans mon fichier xml : <action result="fail" error="28"/> Que signifie-t-il et que faire pour que la mise à jour fonctionne ? Je ne comprends, j'ai respecté toutes les étapes avec minutie et jusqu'au résultat final cela avait l'air de fonctionner Pour l'instant, je ne peux plus visualiser ma boutique en ligne le message suivant apparaît (Requête SQL pour les sous-domaines invalide). Merci de votre aide car je suis bloqué et j'aimerais bcp découvrir cette nouvelle version Aurios
  11. Bonsoir, J'ai voulu mettre à jour ma boutique prestashop version 1.4.8.2 vers la nouvelle version en 1.5 par la méthode manuelle indiquée dans la doc de prestashop et j'ai le message d'erreur suivant : <action result="fail" error="28"/> Que signifie-t-il et que faire pour que la mise à jour fonctionne ? Pour l'instant, je ne peux plus visualiser ma boutique en ligne le message suivant apparaît (Requête SQL pour les sous-domaines invalide). Merci de votre aide Aurios
  12. Bonjour, En cours de réalisation d'une boutique en ligne pour le magasin de ma femme en utilisant dans un premier temps le thème par défaut de Prestashop accompagné de deux modules (slideshow et menu horizontal), j'ai un souci au niveau de l'affichage de la page liste des produits des fabricants, une fois que l'on a cliqué sur le lien d'une marque dans le bloc fabricants. Toutes les photos ont été anormalement étirées et sont par conséquent floues. De plus, la taille du bloc pour chaque produit du fabricant me semble disproportionnée et l'affichage incertain. Voir l'exemple à cette url : http://www.commeunparfumdete.fr/manufacturer.php?id_manufacturer=8 Si quelqu'un sais d'où cela vient et si on peut remédier au problème via le back office, je suis preneur du conseil. Merci
  13. Salut Manouille, J'ai refait l'opération suppression de la bdd (ovh) et importation de l'ancienne (sauvegarde) comme j'avais fait la première fois. Le résultat est le même. Dès que je supprime ma bdd via le phpadmin de mon hébergeur j'ai le message Bad SubDomain SQL query qui s'affiche sur mon domaine commeunparfumdete.fr et la boutique prestashop a disparu. L'importation de l'ancienne BDD ne change rien. J'ai au total 169 tables. Mystère ? Merci
  14. Encore merci Manouille d'avoir pris le temps de poster une réponse complète et très claire pour un novice comme moi, c'est très sympa. J'ai suivi à la lettre vos préconisations, j'ai essayé de nombreuses fois et malheureusement le problème n'est pas vraiment résolu. J'ai bien mon site en ligne générique (version 1.4.4.0) en ligne sur mon nom de domaine commeunparfumdete.fr mais malheureusement l'import de la base données de ma sauvegarde (1ère boutique commeunparfum.fr) avec phpmyadmin d'OVH n'a pas eu d'incidence dans mon back office prestashop. Je vais certainement dire des imbécilités mais je m'explique pour essayer de donner des pistes. Si j'ai bien compris le fonctionnement : En installant la solution prestashop à la racine de mon site /www, via filezilla, je "remplis" également ma base de donnée créée chez OVH (car le programme d'installation me demande de renseigner le serveur et les identifiants de ma base mysql, ce qui revient en fait si on passe d'abord par localhost a changer une fois le site transféré le fichier Settings Inc à la main). J'ai donc fait deux tentatives. 1. J'ai supprimé toutes les tables de ma base de données mysql chez OVH et là j'ai retrouvé mon message d'erreur Bad Subdomain sql Query sur la page de mon site qui avait disparu. J'ai tout de même tenter d'importer ma base de données sauvegardée mais le site gardait le même message et ne marchait pas comme hier. 2. J'ai juste importer ma BDD sauvegardée dans ma BDD mysql d'OVH qui était déjà remplie des tables liées à l'installation du logiciel. Là, j'ai toujours mon site en ligne générique en ligne mais aucune mise à jour de ma BDD; Donc le mystère continue pour moi. Peut-être que la sauvegarde de la BDD de mon premier site générée par le back office de prestashop n'est pas satisfaisante même si cela semble marcher correctement avec le téléchargement d'un fichier xxxxxxxx.sql mais sinon c'est bcp trop complexe pour moi. J'ai bien pu importer mon thème. Alors j'ai peut-être une solution pour ne pas à avoir à reremplir la liste de tous mes produits et les infos qui vont avec. Il faudrait générer un fichier csv avec un module prestashop^car je n'ai pas accès aux codes ftp de mon premier site. Mais savez-vous comment importer les catégories de façon à tout retrouver comme sur le premier site ? Merci Manouille.
  15. Merci bcp Manouille, j'ai modifié le fichier htaccess, qui par défaut via OVH assurait déjà son passage en PHP 5_3, mais cela n'a rien changé. Le problème perdure mais je vais m'accrocher. Je vais déjà recommencer pour répondre à votre première interrogation (Avant import de la bdd, le site était il accessible normalement ?) Oui en local mais sur le web OVH indiquait une page site en construction. Si quelqu'un à une autre idée, je suis preneur. Je rappelle mon souhait installer une boutique en ligne via prestashop 1.4.4.0 sur le domaine commeunparfumdete.fr en important une sauvegarde de Base de Données d'un site précendent toujours de la version 1.4.4.0 qui se trouve sur le domaine commeunparfum.fr en ligne actuellement et hébergé chez OVH; Merci à tous pour votre concours.
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More